# Uses of Interface
org.eclipse.emf.cdo.lm.Stream

Packages that use Stream
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.reviews.provider
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Stream in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Stream
Modifier and Type
Method
Description
`Stream`
LMFactory.`createStream()`
Returns a new object of class 'Stream'.
`Stream`
LMFactory.`createStream(int majorVersion, int minorVersion, String codeName)`
`Stream`
StreamSpec.`createStream()`
`Stream`
Baseline.`getStream()`
Returns the value of the 'Stream' container reference.
`Stream`
Module.`getStream(int majorVersion, int minorVersion)`
`Stream`
Module.`getStream(String codeName)`
`Stream`
StreamElement.`getStream()`
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Stream
Modifier and Type
Method
Description
`EList<Stream>`
Drop.`getBasedStreams()`
`EList<Stream>`
Change.`getDeliveryCandidateStreams()`
`EList<Stream>`
Change.`getDeliveryStreams()`
`EList<Stream>`
Module.`getStreams()`
Returns the value of the 'Streams' containment reference list.
Methods in org.eclipse.emf.cdo.lm with parameters of type Stream
Modifier and Type
Method
Description
`Delivery`
Change.`getDelivery(Stream stream)`
`BasePoint`
Change.`getDeliveryPoint(Stream stream)`
`void`
Baseline.`setStream(Stream value)`
Sets the value of the '`Stream`' container reference.

## Uses of Stream in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Stream
Modifier and Type
Method
Description
`Stream`
ISystemDescriptor.`createStream(Module module, Drop base, StreamSpec streamSpec, IProgressMonitor monitor)`
`Stream`
ISystemManager.StreamBranchChangedEvent.`getStream()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type Stream
Modifier and Type
Method
Description
`Change`
ISystemDescriptor.`createChange(Stream stream, FixedBaseline base, String label, IProgressMonitor monitor)`
`Delivery`
ISystemDescriptor.`createDelivery(Stream stream, Change change, LMMerger merger, IProgressMonitor monitor)`
`Drop`
ISystemDescriptor.`createDrop(Stream stream, DropType dropType, long timeStamp, String label, IProgressMonitor monitor)`
`Drop`
LMImporter.DropCreator.`createDrop(ISystemDescriptor systemDescriptor, Stream stream, long timeStamp, IProgressMonitor monitor)`

## Uses of Stream in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Stream
Modifier and Type
Class
Description
`class`
`StreamImpl`
An implementation of the model object 'Stream'.
Methods in org.eclipse.emf.cdo.lm.impl that return Stream
Modifier and Type
Method
Description
`Stream`
LMFactoryImpl.`createStream()`
`Stream`
LMFactoryImpl.`createStream(int majorVersion, int minorVersion, String codeName)`
`Stream`
BaselineImpl.`getStream()`
`Stream`
DependencyImpl.`getStream()`
`Stream`
ModuleImpl.`getStream(int majorVersion, int minorVersion)`
`Stream`
ModuleImpl.`getStream(String codeName)`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Stream
Modifier and Type
Method
Description
`EList<Stream>`
DropImpl.`getBasedStreams()`
`EList<Stream>`
ChangeImpl.`getDeliveryCandidateStreams()`
`EList<Stream>`
ChangeImpl.`getDeliveryStreams()`
`EList<Stream>`
ModuleImpl.`getStreams()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Stream
Modifier and Type
Method
Description
`NotificationChain`
BaselineImpl.`basicSetStream(Stream newStream, NotificationChain msgs)`
`Delivery`
ChangeImpl.`getDelivery(Stream stream)`
`BasePoint`
ChangeImpl.`getDeliveryPoint(Stream stream)`
`void`
BaselineImpl.`setStream(Stream newStream)`

## Uses of Stream in org.eclipse.emf.cdo.lm.reviews.provider

Methods in org.eclipse.emf.cdo.lm.reviews.provider with parameters of type Stream
Modifier and Type
Method
Description
`Object`
ReviewsItemProviderAdapterFactory.LMChildCreationExtender.CreationSwitch.`caseStream(Stream object)`

## Uses of Stream in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Stream
Modifier and Type
Method
Description
`T`
LMSwitch.`caseStream(Stream object)`
Returns the result of interpreting the object as an instance of 'Stream'.